# spreadsheet-editor-default

> Spreadsheet sample for entering, formatting, calculating, and organizing worksheet data.

**Framework:** javascript  **Component:** Spreadsheet  **Variant:** default

## Get this item

**If you are an agent, fetch the JSON.** Source is inlined, so one request is enough and no tooling is required:

```
GET https://ai.syncfusion.com/r/javascript/spreadsheet-editor-default.json
```

**Install Package(s)**

```bash
npm install @syncfusion/ej2-spreadsheet
```

**Notes**

- Syncfusion release: 2026 Volume 2 (v34.1.29)
- The Syncfusion package is licensed. The composition in this file is source you own and edit. See https://ai.syncfusion.com/licensing.md

## Source files

### src/components/spreadsheet-editor-default/default.html

```html
<div class="control-section">
    <div id="spreadsheet"></div>
</div>
<!-- custom code start -->
<div id="action-description">
    <p>
        This sample demonstrates the <code>Spreadsheet</code> component and its features such as editing, formulas,
        formatting, importing, and exporting.
    </p>
</div>
<div id="description">
    <p>
        The <code>Spreadsheet</code> component is used to organize and analyze data in tabular format.
        It has a built-in calculation library that supports most commonly used formulas. Excel workbook files can be
        imported and exported by providing the <code>openUrl</code> and <code>saveUrl</code> property.
    </p>
    <p>
      <strong>Note:</strong> The <code>openUrl</code> and <code>saveUrl</code> endpoints used in these demo samples are
      provided solely for demonstration purposes. The associated web service may experience memory limitations when
      handling large Excel files, which could result in import or export failures. For better performance and reliability
      especially when working with large files, we recommend hosting your own local service. For detailed guidance, please
      refer to our <a target="_blank" href="https://www.syncfusion.com/blogs/post/host-spreadsheet-open-and-save-services">
      Blog</a> post.
    </p>
    <p>
        Data binding can be achieved by setting an array of JavaScript objects or an instance of Data Manager to the
        <code>dataSource</code> property under the <code>ranges</code> of sheet. The <code>cellFormat</code> and
        <code>numberFormat</code>
        methods are used to apply format to a range of cells in the <code>created</code> event.
    </p>
    <p>
        Learn how to organize, analyze, and edit spreadsheet data with built-in formulas, formatting, and import/export, as demonstrated in this sample.
    </p>
    <p><strong>Documentation Links</strong></p>
    <ul>
        <li><a target="_blank" href="https://help.syncfusion.com/document-processing/excel/spreadsheet/javascript-es6/getting-started">Getting Started</a></li>
        <li><a target="_blank" href="https://help.syncfusion.com/document-processing/excel/spreadsheet/javascript-es6/data-binding">Data Binding</a></li>
        <li><a target="_blank" href="https://ej2.syncfusion.com/documentation/api/spreadsheet/index-default">API Reference</a></li>
    </ul>
    <p><strong>More Resources</strong></p>
    <ul>
        <li><a target="_blank" href="https://support.syncfusion.com/kb/web/section/726">Knowledge Base</a></li>
    </ul>
    </p>
    <p>
        Looking for the full Typescript Spreadsheet Editor overview, features, pricing, and documentation? Visit the
        <a target="_blank" href="https://www.syncfusion.com/spreadsheet-editor-sdk/javascript-spreadsheet-editor"> Typescript Spreadsheet Editor</a> page.
    </p>
</div>
<style>
    .control-section .control-wrapper {
        height: calc(100vh - 230px);
    }

    .e-spreadsheet .e-main-panel .e-main-content {
        margin-left: 0 !important;
    }

    #sb-content .e-spreadsheet .e-tab .e-tab-text {
        display: inherit;
    }

    /* newTab support styles */
    .ej2-new .sb-header,
    .ej2-new .sb-bread-crumb,
    .ej2-new #action-description,
    .ej2-new #description-section,
    .ej2-new #description {
        display: none
    }

    .ej2-new .container-fluid,
    .ej2-new .container-fluid .control-section,
    #sidebar-section {
        padding: 0px;
    }

    .ej2-new .sample-browser>.content.e-view {
        top: 0px;
        padding: 0px;
        text-align: initial;
        height: 100%;
        overflow: hidden;
    }

    .ej2-new .control-section .control-section {
        height: 100vh;
    }
   .e-spreadsheet .e-main-panel .e-main-content{
        margin-left: 0 !important;
    }
    /* end of newTab support styles */
</style>
<!-- custom code end -->
```

### src/components/spreadsheet-editor-default/default.ts

```typescript
import { loadCultureFiles } from '../common/culture-loader';
import { Spreadsheet, getFormatFromType } from '@syncfusion/ej2-spreadsheet';
import * as dataSource from './default-data.json';

/**
 * Default Spreadsheet sample
 */
(window as any).default = (): void => {
    loadCultureFiles();
    //Initialize Spreadsheet component
    const spreadsheet: Spreadsheet = new Spreadsheet({
        sheets: [
            {
                name: 'Car Sales Report',
                ranges: [{ dataSource: (dataSource as any).defaultData }],
                rows: [
                    {
                        index: 30,
                        cells: [
                            { index: 4, value: 'Total Amount:', style: { fontWeight: 'bold', textAlign: 'right' } },
                            { formula: '=SUM(F2:F30)', style: { fontWeight: 'bold' } },
                        ]
                    }],
                columns: [
                    { width: 180 }, { width: 130 }, { width: 130 }, { width: 180 },
                    { width: 130 }, { width: 120 }
                ]
            }],
        openUrl: 'https://document.syncfusion.com/web-services/spreadsheet-editor/api/spreadsheet/open',
        saveUrl: 'https://document.syncfusion.com/web-services/spreadsheet-editor/api/spreadsheet/save',
        created: (): void => {
            // Apply the format to the specified range in the active sheet.
            spreadsheet.cellFormat({ fontWeight: 'bold', textAlign: 'center', verticalAlign: 'middle' }, 'A1:F1');
            // Apply format to the specified range in the active sheet.
            spreadsheet.numberFormat('$#,##0.00', 'F2:F31');
            spreadsheet.numberFormat('m/d/yyyy', 'E2:E30');
        }
    });

    //Render initialized Spreadsheet component
    spreadsheet.appendTo('#spreadsheet');
};

```


# spreadsheet-editor-default

> Spreadsheet editor with sheets, ranges, formulas, cell styles, and named ranges.

**Framework:** vue  **Component:** SpreadsheetEditor  **Variant:** default

## Get this item

**If you are an agent, fetch the JSON.** Source is inlined, so one request is enough and no tooling is required:

```
GET https://ai.syncfusion.com/r/vue/spreadsheet-editor-default.json
```

**Install Package(s)**

```bash
npm install @syncfusion/ej2-vue-spreadsheet
```

**Notes**

- Syncfusion release: 2026 Volume 2 (v34.1.29)
- The Syncfusion package is licensed. The composition in this file is source you own and edit. See https://ai.syncfusion.com/licensing.md

## Source files

### src/components/spreadsheet-editor-default/SpreadSheetEditor.vue

```vue
<template>
  <div class="control-section">
    <div id="spreadsheet-default-section">
      <ejs-spreadsheet ref="spreadsheet" :openUrl="openUrl" :saveUrl="saveUrl" :created="created">
        <e-sheets>
          <e-sheet name="Car Sales Report">
            <e-ranges>
              <e-range :dataSource="dataSource"></e-range>
            </e-ranges>
            <e-rows>
              <e-row :index="rowIndex" :cells="cells"></e-row>
            </e-rows>
            <e-columns>
              <e-column :width="width1"></e-column>
              <e-column :width="width2"></e-column>
              <e-column :width="width2"></e-column>
              <e-column :width="width1"></e-column>
              <e-column :width="width2"></e-column>
              <e-column :width="width3"></e-column>
            </e-columns>
          </e-sheet>
        </e-sheets>
      </ejs-spreadsheet>
    </div>

  </div>
</template>

<script>
import { SpreadsheetComponent, SheetDirective, RowsDirective, RowDirective, SheetsDirective, ColumnsDirective, ColumnDirective, RangesDirective, RangeDirective } from '@syncfusion/ej2-vue-spreadsheet';

export default {
    components: {
    'ejs-spreadsheet': SpreadsheetComponent,
    'e-sheet': SheetDirective,
    'e-sheets': SheetsDirective,
    'e-row': RowDirective,
    'e-rows': RowsDirective,
    'e-column': ColumnDirective,
    'e-columns': ColumnsDirective,
    'e-range': RangeDirective,
    'e-ranges': RangesDirective
   },
   data: () => {
    return {
      dataSource: [
        { 'Customer Name': 'Romona Heaslip',  Model: 'Taurus',        Color: 'Aquamarine', 'Payment Mode': 'Debit Card',        'Delivery Date': '07-11-2015', Amount: 8529.22 },
        { 'Customer Name': 'Clare Batterton', Model: 'Sparrow',       Color: 'Pink',       'Payment Mode': 'Cash On Delivery',  'Delivery Date': '07-13-2016', Amount: 17866.19 },
        { 'Customer Name': 'Eamon Traise',    Model: 'Grand Cherokee', Color: 'Blue',     'Payment Mode': 'Net Banking',       'Delivery Date': '09-04-2015', Amount: 13853.09 },
        { 'Customer Name': 'Julius Gorner',   Model: 'GTO',           Color: 'Aquamarine', 'Payment Mode': 'Credit Card',       'Delivery Date': '12-15-2017', Amount: 2338.74 },
        { 'Customer Name': 'Jenna Schoolfield', Model: 'LX',          Color: 'Yellow',    'Payment Mode': 'Credit Card',       'Delivery Date': '10-08-2014', Amount: 9578.45 }
      ],
      rowIndex: 6,
      colIndex: 4,
      cells: [
        { index: 4, value: 'Total Amount:', style: { fontWeight: 'bold', textAlign: 'right' } },
        { formula: '=SUM(F2:F6)', style: { fontWeight: 'bold' } },
      ],
      width1: 180,
      width2: 130,
      width3: 120,
      openUrl: 'https://document.syncfusion.com/web-services/spreadsheet-editor/api/spreadsheet/open',
      saveUrl: 'https://document.syncfusion.com/web-services/spreadsheet-editor/api/spreadsheet/save'
    }
  },
  methods: {
    created: function() {
      var spreadsheet = this.$refs.spreadsheet;
      spreadsheet.cellFormat({ fontWeight: 'bold', textAlign: 'center', verticalAlign: 'middle' }, 'A1:F1');
      // Apply format to the specified range in the active sheet.
      spreadsheet.numberFormat('$#,##0.00', 'F2:F7');
      spreadsheet.numberFormat('m/d/yyyy', 'E2:E6');
    }
  }
}
</script>
```

### src/components/spreadsheet-editor-default/SpreadSheetEditorView.vue

```vue
<template>
  <SpreadSheetEditor />
</template>

<script setup>
import SpreadSheetEditor from '../components/SpreadSheetEditor.vue'
</script>
```

### src/components/spreadsheet-editor-default/datasource.json

```json
{
    "defaultData": [
        {
            "Customer Name": "Romona Heaslip",
            "Model": "Taurus",
            "Color": "Aquamarine",
            "Payment Mode": "Debit Card",
            "Delivery Date": "07-11-2015",
            "Amount": "8529.22"
        },
        {
            "Customer Name": "Clare Batterton",
            "Model": "Sparrow",
            "Color": "Pink",
            "Payment Mode": "Cash On Delivery",
            "Delivery Date": "07-13-2016",
            "Amount": "17866.19"
        },
        {
            "Customer Name": "Eamon Traise",
            "Model": "Grand Cherokee",
            "Color": "Blue",
            "Payment Mode": "Net Banking",
            "Delivery Date": "09-04-2015",
            "Amount": "13853.09"
        },
        {
            "Customer Name": "Julius Gorner",
            "Model": "GTO",
            "Color": "Aquamarine",
            "Payment Mode": "Credit Card",
            "Delivery Date": "12-15-2017",
            "Amount": "2338.74"
        },
        {
            "Customer Name": "Jenna Schoolfield",
            "Model": "LX",
            "Color": "Yellow",
            "Payment Mode": "Credit Card",
            "Delivery Date": "10-08-2014",
            "Amount": "9578.45"
        },
        {
            "Customer Name": "Marylynne Harring",
            "Model": "Catera",
            "Color": "Green",
            "Payment Mode": "Cash On Delivery",
            "Delivery Date": "07-01-2017",
            "Amount": "19141.62"
        },
        {
            "Customer Name": "Vilhelmina Leipelt",
            "Model": "7 Series",
            "Color": "Goldenrod",
            "Payment Mode": "Credit Card",
            "Delivery Date": "12-20-2015",
            "Amount": "6543.30"
        },
        {
            "Customer Name": "Barby Heisler",
            "Model": "Corvette",
            "Color": "Red",
            "Payment Mode": "Credit Card",
            "Delivery Date": "11-24-2014",
            "Amount": "13035.06"
        },
        {
            "Customer Name": "Karyn Boik",
            "Model": "Regal",
            "Color": "Indigo",
            "Payment Mode": "Debit Card",
            "Delivery Date": "05-12-2014",
            "Amount": "18488.80"
        },
        {
            "Customer Name": "Jeanette Pamplin",
            "Model": "S4",
            "Color": "Fuscia",
            "Payment Mode": "Net Banking",
            "Delivery Date": "12-30-2014",
            "Amount": "12317.04"
        }
    ]
}
```


# spreadsheet-editor-default

> Spreadsheet sample for entering, formatting, calculating, and organizing worksheet data.

**Framework:** angular  **Component:** Spreadsheet  **Variant:** default

## Get this item

**If you are an agent, fetch the JSON.** Source is inlined, so one request is enough and no tooling is required:

```
GET https://ai.syncfusion.com/r/angular/spreadsheet-editor-default.json
```

**Install Package(s)**

```bash
npm install @syncfusion/ej2-angular-spreadsheet
```

**Notes**

- Syncfusion release: 2026 Volume 2 (v34.1.29)
- The Syncfusion package is licensed. The composition in this file is source you own and edit. See https://ai.syncfusion.com/licensing.md

## Source files

### src/components/spreadsheet-editor-default/default.component.ts

```typescript
import { Component, ViewEncapsulation, Inject, ViewChild } from '@angular/core';
import { getDefaultData } from '../data';
import { SpreadsheetComponent, SpreadsheetModule } from '@syncfusion/ej2-angular-spreadsheet';
/**
 * Default Spreadsheet Controller
 */
@Component({
    selector: 'control-content',
    templateUrl: 'default.html',
    encapsulation: ViewEncapsulation.None,
    standalone: true,
    imports: [SpreadsheetModule]
})

export class DefaultController {
    @ViewChild('default')
    public spreadsheetObj!: SpreadsheetComponent;
    public data: Object[] = getDefaultData();
    public openUrl = 'https://document.syncfusion.com/web-services/spreadsheet-editor/api/spreadsheet/open';
    public saveUrl = 'https://document.syncfusion.com/web-services/spreadsheet-editor/api/spreadsheet/save';
    created() {
        this.spreadsheetObj.cellFormat({ fontWeight: 'bold', textAlign: 'center', verticalAlign: 'middle' }, 'A1:F1');
        this.spreadsheetObj.cellFormat({ fontWeight: 'bold' }, 'E31:F31');
        this.spreadsheetObj.cellFormat({ textAlign: 'right' }, 'E31');
        // Apply format to the specified range in the active sheet.
        this.spreadsheetObj.numberFormat('$#,##0.00', 'F2:F31');
        // The default format code for the date format is 'm/d/yyyy'.
        this.spreadsheetObj.numberFormat('m/d/yyyy', 'E2:E30');
    }
}

```

### src/components/spreadsheet-editor-default/default.html

```html

<div class="control-section">
    <ejs-spreadsheet #default [openUrl]="openUrl" [saveUrl]="saveUrl" (created)="created()">
        <e-sheets>
            <e-sheet name="Car Sales Report">
                <e-ranges>
                    <e-range [dataSource]="data"></e-range>
                </e-ranges>
                <e-rows>
                    <e-row [index]="30">
                        <e-cells>
                            <e-cell [index]="4" value="Total Amount:"></e-cell>
                            <e-cell formula="=SUM(F2:F30)"></e-cell>
                        </e-cells>
                    </e-row>
                </e-rows>
                <e-columns>
                    <e-column [width]=180></e-column>
                    <e-column [width]=130></e-column>
                    <e-column [width]=130></e-column>
                    <e-column [width]=180></e-column>
                    <e-column [width]=130></e-column>
                    <e-column [width]=120></e-column>
                </e-columns>
            </e-sheet>
        </e-sheets>
    </ejs-spreadsheet>
</div>
```
